Overview
GET
/monitoring/health-checks/{id}monitoringGet health_checks by id
Fetch a record from health-checks by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
health_checks
- idstring
- endpointIdstring
- userIdstring
- ownerKindstring
- ownerIdstring
- statusstring
- responseTimeMsinteger?
- statusCodeinteger?
- errorMessagestring?
- checkedAtstring
Example
{
"id": "string",
"endpointId": "string",
"userId": "string",
"ownerKind": "string",
"ownerId": "string",
"status": "string",
"responseTimeMs": 0,
"statusCode": 0,
"errorMessage": "string",
"checkedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/monitoring/health-checks/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/monitoring/health-checks/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();